| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Macros | Functions
Bmatrix.h File Reference

Matrix class. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include <math.h>`
`#include <time.h>`
`#include "rwimg.h"`
`#include "Bstring.h"`
`#include "matrix_linear.h"`

Go to the source code of this file.

## Classes
class | Bmatrix

## Macros
#define | _Bmatrix_

## Functions
int | matrix_show (Bmatrix matrix)
| Displays the matrix contents. More...
Bimage * | img_from_matrix (Bmatrix matrix)
| Converts a matrix to an image. More...
Bmatrix | matrix_random (long m, long n)
| Generates a matrix with random values. More...
int | matrix_rearrange (Bmatrix matrix, int *order)
| Rearranges a matrix with a given order. More...

## Detailed Description

Matrix class.

Author
  Bernard Heymann

Date
  Created: 20010723
  Modified: 20120309

Definition in file Bmatrix.h.

## Macro Definition Documentation

#define _Bmatrix_

Definition at line 123 of file Bmatrix.h.

## Function Documentation

Bimage* img_from_matrix | ( | Bmatrix | matrix | ) |

Converts a matrix to an image.

Parameters

  Bmatrix | matrix matrix.

Returns
  Bimage* new image.

Definition at line 50 of file Bmatrix.cpp.

Bmatrix matrix_random | ( | long | m,
|  | long | n
| ) |  |

Generates a matrix with random values.

Parameters

  int | m first dimension.
  int | n second dimension.

Returns
  Bimage new matrix.

Definition at line 67 of file Bmatrix.cpp.

int matrix_rearrange | ( | Bmatrix | matrix,
|  | int * | order
| ) |  |

Rearranges a matrix with a given order.

Parameters

  Bmatrix* | matrix matrix.
  int* | order new order of rows and columns.

Returns
  int 0.

Definition at line 88 of file Bmatrix.cpp.

int matrix_show | ( | Bmatrix | matrix | ) |

Displays the matrix contents.

Parameters

  Bmatrix | matrix a pointer to the matrix.

Returns
  int 0.

Definition at line 21 of file Bmatrix.cpp.